%{bcond_with perl_strictures_enables_optional_test}

Name:           perl-strictures
Version:        2.000006
Release:        7
Summary:        Turn on strict and make most warnings fatal
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/strictures
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/strictures-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(base) perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Text::ParseWords) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(File::Basename) perl(File::Spec::Functions) perl(File::Temp) perl(Carp) perl(strict)
BuildRequires:  perl(warnings) perl(Cwd) perl(File::Path) perl(File::Spec) perl(Test::More) >= 0.88
%if %{with perl_strictures_enables_optional_test}
BuildRequires:  perl(indirect) perl(multidimensional) perl(bareword::filehandles)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Carp)

%description
Turns on strict and makes most warnings fatal.

%package_help

%prep
%autosetup -n strictures-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%defattr(-,root,root)
%doc README
%license LICENSE
%{perl_vendorlib}/strictures/
%{perl_vendorlib}/strictures.pm

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/strictures.3*
%{_mandir}/man3/strictures::extra.3*

%changelog
* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.000006-7
- Package init